This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 493242

Summary: radeon test day xvideo failure
Product: [Fedora] Fedora Reporter: Jerry Amundson <jamundso>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: awilliam, mcepl, mschmidt, muep, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.smolts.org/client/show/pub_5d5f4030-e7f5-40b9-8ac1-ae78d8223ec6
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-17 23:21:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
X log
none
X.org log
none
My Xorg.0.log
none
My dmesg per as requested none

Description Jerry Amundson 2009-03-31 23:47:36 EDT
Description of problem:
https://fedoraproject.org/wiki/QA:Testcase_radeon_xvideo

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.i586

How reproducible:
once

Steps to Reproduce:
1. boot livecd from test
2. run gstreamer-properties
3.
  
Actual results:
faulty test window

Expected results:
pretty test window

Additional info:
Comment 1 Jerry Amundson 2009-03-31 23:51:30 EDT
Created attachment 337433 [details]
X log
Comment 2 Joonas Sarajärvi 2009-04-01 08:04:53 EDT
Created attachment 337497 [details]
X.org log
Comment 3 Joonas Sarajärvi 2009-04-01 08:05:52 EDT
I'm running into a similar issue. The test window isn't drawn into at all, it just displays the stuff that was in the same place before the window was created. Totem shows all black.
Comment 4 Joonas Sarajärvi 2009-04-01 09:33:59 EDT
Updating xorg-x11-drv-ati-6.12.1-2.fc11.i586 from koji solved this for me.
Comment 5 Michal Schmidt 2009-04-01 09:48:05 EDT
Same problem here. gstreamer-properties test only draws the decoration of the window, not the inside of it. totem displays black rectangle.
This is with ATI Technologies Inc RS690M [Radeon X1200 Series] [1002:791f].
xorg-x11-drv-ati-6.12.1-2.fc11.x86_64 does NOT solve this for me.

During the gstreamer-properties test, dmesg is flooded with messages about 30 times/s:
[drm:radeon_cs_packet0] *ERROR* illegal register 6538 0 180

During the totem test, dmesg is flooded with messages:
[drm:radeon_cs_packet0] *ERROR* illegal register 6538 0 252
Comment 6 Adam Williamson 2009-04-01 10:20:09 EDT
Jerry, can we get your dmesg?
Comment 7 Jerry Amundson 2009-04-01 10:32:15 EDT
(In reply to comment #6)
> Jerry, can we get your dmesg?  

I won't get around to it until later tonight, if at all. It's my primary home desktop, so I need to boot the livecd, and I won't be in front of it until later this evening.
Comment 8 Eddie Lania 2009-04-08 11:57:44 EDT
xorg-x11-drv-ati-6.12.1-8.fc11.i586

When running compiz, xvideo is terrible slow / choppy and also experience the same behaviour as in comment #3

Card = ATI 9600XT

xvinfo
X-Video Extension version 2.2
screen #0
  Adaptor #0: "Radeon Textured Video"
    number of ports: 16
    port base: 57
    operations supported: PutImage 
    supported visuals:
      depth 24, visualID 0x21
    number of attributes: 3
      "XV_BICUBIC" (range 0 to 2)
              client settable attribute
              client gettable attribute (current value is 2)
      "XV_VSYNC" (range 0 to 1)
              client settable attribute
              client gettable attribute (current value is 1)
      "XV_HWPLANAR" (range 0 to 1)
              client settable attribute
              client gettable attribute (current value is 1)
    maximum XvImage size: 2048 x 2048
    Number of image formats: 4
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
Comment 9 Eddie Lania 2009-04-08 14:18:36 EDT
Created attachment 338774 [details]
My Xorg.0.log
Comment 10 Adam Williamson 2009-04-08 18:16:57 EDT
Eddie, can we get your dmesg output?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Eddie Lania 2009-04-09 11:00:17 EDT
Created attachment 338927 [details]
My dmesg per as requested

My dmesg
Comment 12 Eddie Lania 2009-04-09 12:27:18 EDT
Adam,

I have been experimenting with the video Default Output settings in gstreamer-properties.
Changing the setting from "Autodetect" to other options and back.

Now I am not able to reproduce the slow/choppy behaviour with totem any more.

But when playing video, the cpu usage is higher then first so I think it is using textured video ore something like that. And I am unable to get it back to normal hw video overlay processing.

The cpu usage varies between 15 and 35 % depending on the video.

Isn't that strange?

Regards,

Eddie.
Comment 13 Adam Williamson 2009-04-09 13:34:13 EDT
I'm afraid I am not sufficiently qualified to state if that's strange or not =) But thanks for the dmesg.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Michal Schmidt 2009-04-16 16:37:58 EDT
With:
kernel-2.6.29.1-85.fc11.x86_64
xorg-x11-drv-ati-6.12.2-4.fc11.x86_64
Xvideo now works on my RS690M. Thanks.
Comment 15 Eddie Lania 2009-05-13 13:32:12 EDT
Xvideo seems to work fine here too. But I think it still is using radeon's textured video instead of overlay. The cpu usage is acceptable however.
Comment 16 Bug Zapper 2009-06-09 08:54:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Matěj Cepl 2009-11-05 13:24:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]